GDBserver

Classes | Typedefs | Functions | Variables
win32-low.h File Reference
`#include <windows.h>`

Go to the source code of this file.

## Classes
struct | win32_thread_info
struct | win32_target_ops

## Typedefs
typedef struct win32_thread_info | win32_thread_info

## Functions
void | win32_require_context (win32_thread_info *th)
char * | strwinerror (DWORD error)
void | to_back_slashes (char *)

## Variables
const struct target_desc * | win32_tdesc
struct win32_target_ops | the_low_target

## Typedef Documentation

## ◆ win32_thread_info

typedef struct win32_thread_info win32_thread_info

## Function Documentation

## ◆ strwinerror()

char* strwinerror | ( | DWORD | error | ) |

Definition at line 510 of file win32-low.c.

## ◆ to_back_slashes()

void to_back_slashes | ( | char * |  | ) |

Definition at line 33 of file wincecompat.c.

## ◆ win32_require_context()

void win32_require_context | ( | win32_thread_info * | th | ) |

Definition at line 171 of file win32-low.c.

References win32_thread_info::context, win32_thread_info::h, OUTMSG, strwinerror(), win32_thread_info::suspended, and win32_get_thread_context().

Referenced by i386_prepare_to_resume(), thread_rec(), and win32_get_current_dr().

## Variable Documentation

## ◆ the_low_target

struct win32_target_ops the_low_target

Definition at line 2955 of file linux-aarch64-low.c.

Referenced by add_lwp(), can_hardware_single_step(), can_software_single_step(), check_stopped_by_watchpoint(), child_add_thread(), child_fetch_inferior_registers(), child_store_inferior_registers(), delete_lwp(), do_attach(), do_initial_child_stuff(), get_pc(), get_syscall_trapinfo(), get_usrregs_info(), handle_extended_wait(), initialize_low(), install_software_single_step_breakpoints(), linux_add_process(), linux_arch_setup(), linux_breakpoint_kind_from_current_state(), linux_breakpoint_kind_from_pc(), linux_detach_one_lwp(), linux_emit_ops(), linux_fast_tracepoint_collecting(), linux_fetch_registers(), linux_get_ipa_tdesc_idx(), linux_get_min_fast_tracepoint_insn_len(), linux_insert_point(), linux_install_fast_tracepoint_jump_pad(), linux_mourn(), linux_process_qsupported(), linux_read_pc(), linux_remove_point(), linux_resume_one_lwp_throw(), linux_store_registers(), linux_supports_catch_syscall(), linux_supports_range_stepping(), linux_supports_tracepoints(), linux_supports_z_point_type(), linux_sw_breakpoint_from_kind(), linux_wait_1(), linux_write_pc(), maybe_move_out_of_jump_pad(), nto_fetch_registers(), nto_store_registers(), nto_sw_breakpoint_from_kind(), nto_x86_arch_setup(), s390_collect_ptrace_register(), s390_fill_gregset(), s390_supply_ptrace_register(), save_stop_reason(), siginfo_fixup(), supports_breakpoints(), supports_fast_tracepoints(), thread_still_has_status_pending_p(), win32_get_thread_context(), win32_insert_point(), win32_prepare_to_resume(), win32_remove_point(), win32_resume(), win32_stopped_by_watchpoint(), win32_stopped_data_address(), win32_supports_z_point_type(), win32_sw_breakpoint_from_kind(), and x86_linux_update_xmltarget().

## ◆ win32_tdesc

const struct target_desc* win32_tdesc

Definition at line 95 of file win32-low.c.

Referenced by arm_arch_setup(), do_initial_child_stuff(), and i386_arch_setup().